Bug 746967 - "Online accounts" utility fails to add new account if system time is incorrect
"Online accounts" utility fails to add new account if system time is incorrect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 08:35 EDT by Petr Schindler
Modified: 2013-02-13 08:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:03:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2011-10-18 08:35:31 EDT
Description of problem:
Error occurs when I want to add google account in gnome-control-center online accounts. Error message: "Error creating account - Error getting a Request Token: Bad Request"

Version-Release number of selected component (if applicable):
control-center-3.2.0-1.fc16.x86_64

How reproducible:
From user menu (in top right corner) choose "Online Accounts". Click on plus button. Account type set to Google and press Add... Error message is shown then. It happens always I try, no matter if I'm connected via wifi or cable.

Steps to Reproduce:
1. In terminal run `gnome-control-center online-accounts` or choose "Online Accounts' from user menu (in top right corner). 
2. Click on plus button.
3. Set "Account type" to Google (there is only this one) and click on Add button.
4. Error message occurs
  
Actual results:
After clicking on add button an error message is shown. Text is "Error creating account - Error getting a Request Token: Bad Request"

Expected results:
System should login to google account and set up synchronization between desktop and online account.

Additional info:
I think that this bug is against final blocker criterion no. 14 "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in common use"
Comment 1 Adam Williamson 2011-10-18 19:11:09 EDT
with today's updates (3.2.1) it works here, though it's somewhat inelegant - I get a sawn-off Google login window, not an error message. Can you re-test?
Comment 2 Jit Ray Chowdhury 2011-10-19 05:07:03 EDT
This is due to wrong system time/date. I had one day more than the current date, and this problem occur. Also Ubuntu One was not functional
Comment 3 Petr Schindler 2011-10-20 08:57:46 EDT
I can confirm that. I had set bad time (-4 hours from right time). When I set right time it works properly. But I don't like the error message which was given to me, it doesn't say anything about problem.
Comment 4 Adam Williamson 2011-10-20 14:41:01 EDT
I'm going executive-unpropose this as a blocker, then, as it seems pretty clear that it isn't one. But let's leave the bug open in case GNOME folks feel the behaviour can be improved.
Comment 5 Jack Waterworth 2011-11-08 13:54:08 EST
I have the same problem with F16 gold. Adjusting my clock fixed the issue.
Comment 6 Fedora End Of Life 2013-01-16 07:40:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 08:04:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.